## visad.bom
Class ShadowBarbRealTupleTypeJ2D

    java.lang.Object
      visad.ShadowType
          visad.java2d.ShadowTypeJ2D
              visad.java2d.ShadowTupleTypeJ2D
                  visad.java2d.ShadowRealTupleTypeJ2D
                      visad.bom.ShadowBarbRealTupleTypeJ2D

All Implemented Interfaces:
  Serializable

public class ShadowBarbRealTupleTypeJ2D
extends ShadowRealTupleTypeJ2D

The ShadowBarbRealTupleTypeJ2D class shadows the RealTupleType class for BarbManipulationRendererJ2D and BarbRendererJ2D, within a DataDisplayLink, under Java2D.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.java2d.ShadowTupleTypeJ2D
``

Fields inherited from class visad.java2d.ShadowTypeJ2D
``

Fields inherited from class visad.ShadowType
`LEGAL, METERS_PER_DEGREE, NESTED, NOTHING_MAPPED, SIMPLE_ANIMATE_FIELD, SIMPLE_FIELD, SIMPLE_TUPLE`

Constructor Summary
`ShadowBarbRealTupleTypeJ2D(MathType t, DataDisplayLink link, ShadowType parent)`

Method Summary
`(package private) static float[]` `makeBarb(boolean south, float x, float y, float scale, float pt_size, float f0, float f1, float[] vx, float[] vy, int[] numv, float[] tx, float[] ty, int[] numt, DataRenderer renderer)` adapted from Justin Baker's WindBarb, which is adapted from Mark Govett's barbs.pro IDL routine
`VisADGeometryArray[]` `makeFlow(int which, float[][] flow_values, float flowScale, float[][] spatial_values, byte[][] color_values, boolean[][] range_select)` which = 0 for Flow1 and which = 1 for Flow2
`static VisADGeometryArray[]` `staticMakeFlow(DisplayImpl display, int which, float[][] flow_values, float flowScale, float[][] spatial_values, byte[][] color_values, boolean[][] range_select, DataRenderer renderer, boolean direct)`

Methods inherited from class visad.java2d.ShadowRealTupleTypeJ2D
`getReference`

Methods inherited from class visad.java2d.ShadowTupleTypeJ2D
`doTransform, getComponent, getDimension, postProcess, preProcess, recurseComponent`

Methods inherited from class visad.java2d.ShadowTypeJ2D

`addLabelsToGroup, addToGroup, allowCurvedTexture, assembleColor, assembleFlow, assembleSelect, assembleShape, assembleSpatial, checkIndices, getAdaptedParent, getAdaptedShadowType, getComponents, getData, getDisplay, getDisplayIndices, getLevelOfDifficulty, getMappedDisplayScalar, getMultipleDisplayScalar, getParentText, getParentTextControl, getType, getValueIndices, makeContour, makePointGeometry, makeStreamline, makeText, mapValues, mapValues, mapValues, setText, terminalTupleOrScalar, toString`

Methods inherited from class visad.ShadowType

`addSwitch, addTextToGroup, addToGroup, addToSwitch, adjustFlowToEarth, adjustZ, allowConstantColorSurfaces, allowLinearContour, byteToFloat, floatToByte, getAdjustProjectionSeam, getAnyContour, getAnyFlow, getAnyShape, getAnyText, getComponentIndex, getComponentWithRef, getCurvedTexture, getDefaultColorIndex, getIsLinearContour3D, getIsTerminal, getIsTexture3D, getIsTextureMap, getLink, getMultipleSpatialDisplayScalar, getRefToComponent, getTextMaps, makeBranch, makePointGeometry, makeSpatialSet, makeSwitch, recurseRange, setTex3DCoords, setTexCoords, setTexStackCoords, terminalTupleOrScalar, texture3DToGroup, textureDepth, textureHeight, textureStackToGroup, textureToGroup, textureWidth, wantIndexed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShadowBarbRealTupleTypeJ2D

    public ShadowBarbRealTupleTypeJ2D(MathType t,
                                      DataDisplayLink link,
                                      ShadowType parent)
                               throws VisADException,
                                      RemoteException

Method Detail

### makeFlow

    public VisADGeometryArray[] makeFlow(int which,
                                         float[][] flow_values,
                                         float flowScale,
                                         float[][] spatial_values,
                                         byte[][] color_values,
                                         boolean[][] range_select)
                                  throws VisADException

  Description copied from class: `ShadowType`
  which = 0 for Flow1 and which = 1 for Flow2

  Overrides:
    `makeFlow` in class `ShadowTypeJ2D`
  Throws:
    `VisADException`

### staticMakeFlow

    public static VisADGeometryArray[] staticMakeFlow(DisplayImpl display,
                                                      int which,
                                                      float[][] flow_values,
                                                      float flowScale,
                                                      float[][] spatial_values,
                                                      byte[][] color_values,
                                                      boolean[][] range_select,
                                                      DataRenderer renderer,
                                                      boolean direct)
                                               throws VisADException

  Throws:
    `VisADException`

### makeBarb

    static float[] makeBarb(boolean south,
                            float x,
                            float y,
                            float scale,
                            float pt_size,
                            float f0,
                            float f1,
                            float[] vx,
                            float[] vy,
                            int[] numv,
                            float[] tx,
                            float[] ty,
                            int[] numt,
                            DataRenderer renderer)

  adapted from Justin Baker's WindBarb, which is adapted from Mark Govett's barbs.pro IDL routine